<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: erpc::Semaphore Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_semaphore.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classerpc_1_1_semaphore-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpc::Semaphore Class Reference<div class="ingroups"><a class="el" href="group__port.html">Porting</a> &raquo; <a class="el" href="group__port__threads.html">Threads</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Simple semaphore class.  
 <a href="classerpc_1_1_semaphore.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="erpc__threading_8h_source.html">erpc_threading.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aca1661adbce12634d2fa9d7e0c09d121"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca1661adbce12634d2fa9d7e0c09d121"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Semaphore</b> (int count=0)</td></tr>
<tr class="separator:aca1661adbce12634d2fa9d7e0c09d121"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f4cf74d488ec755744ff43cd1569e75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f4cf74d488ec755744ff43cd1569e75"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>put</b> ()</td></tr>
<tr class="separator:a3f4cf74d488ec755744ff43cd1569e75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a616d55bf3880b4135745ef3c47f6a886"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a616d55bf3880b4135745ef3c47f6a886"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>get</b> (uint32_t timeout=kWaitForever)</td></tr>
<tr class="separator:a616d55bf3880b4135745ef3c47f6a886"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d0a1689d8e855661793b34b8f3fe11a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d0a1689d8e855661793b34b8f3fe11a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getCount</b> () const </td></tr>
<tr class="separator:a0d0a1689d8e855661793b34b8f3fe11a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a2f8418d5b20e94a577caa0d0e428c441"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f8418d5b20e94a577caa0d0e428c441"></a>
static const uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>kWaitForever</b></td></tr>
<tr class="separator:a2f8418d5b20e94a577caa0d0e428c441"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Simple semaphore class. </p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="erpc__threading_8h_source.html">erpc_threading.h</a></li>
<li>erpc_threading_pthreads.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
